Skip to content

Update a component

PATCH
/v1/components/{componentId}
curl --request PATCH \
--url https://api.quaze.io/v1/components/%7BcomponentId%7D \
--header 'Authorization: REPLACE_KEY_VALUE' \
--header 'content-type: application/json' \
--data '{"name":"string","description":"string"}'
componentId
required
string
Media type application/json
object
name
string
description
string
Example generated
{
"name": "example",
"description": "example"
}

Component updated

Invalid request

Media type application/json
object
error
required
string
Example generated
{
"error": "example"
}

Missing or invalid authentication

Media type application/json
object
error
required
string
Example generated
{
"error": "example"
}

Resource not found

Media type application/json
object
error
required
string
Example generated
{
"error": "example"
}